%define upstream_name    App-Notifier-Service
%define upstream_version 0.0400

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    An HTTP service for the notifier application for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dancer) >= 1.309.700
BuildRequires: perl(Errno)
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
An HTTP service for the "notifier" application in perl-App-Notifier-Client.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# Remove the installed app.pl
rm -fr "%{buildroot}/%{_bindir}"

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.40.0-5.mga6
+ Revision: 1022548
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.40.0-4.mga6
+ Revision: 939498
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-3.mga5
+ Revision: 746922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-2.mga5
+ Revision: 683519
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.40.0-1.mga5
+ Revision: 617826
- update to 0.0400

* Tue Feb 04 2014 shlomif <shlomif> 0.30.100-1.mga5
+ Revision: 582062
- Add missing BR
- Add description and remove app.pl
- imported package perl-App-Notifier-Service


* Tue Feb 04 2014 cpan2dist 0.0301-1mga
- initial mageia release, generated with cpan2dist
